// ReaderDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ReadWriteLockSample.h"
#include "ReaderDlg.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CReaderDlg dialog


CReaderDlg::CReaderDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CReaderDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CReaderDlg)
	m_CurrentTime = _T("");
	//}}AFX_DATA_INIT
}


void CReaderDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CReaderDlg)
	DDX_Text(pDX, IDC_CURRENT_TIME, m_CurrentTime);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CReaderDlg, CDialog)
	//{{AFX_MSG_MAP(CReaderDlg)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CReaderDlg message handlers

void CReaderDlg::OnTimer(UINT nIDEvent) 
{
    if (nIDEvent == 1)
    {
        m_CurrentTime = theApp.m_String.GetString();
        UpdateData(FALSE);
    };

	CDialog::OnTimer(nIDEvent);
}

BOOL CReaderDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

    // random period between 1000 and 2000 ms
    srand(time(NULL)); // init random generator
    rand(); // skip first value - it is usually not good
    int R = rand();

    DWORD Period = DWORD(double(R) * 1000 / RAND_MAX) + 1000;
    TRACE("Period is %d, R=%d\n", Period, R);
	
    SetTimer( 1, Period, NULL );
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
